Package org.opensaml.security.trust

# Interface TrustedCredentialTrustEngine<TokenType>

Type Parameters:
  `TokenType` - the token type this trust engine evaluates

All Superinterfaces:
  `TrustEngine<TokenType>`

All Known Implementing Classes:
  `ExplicitKeySignatureTrustEngine`, `ExplicitKeyTrustEngine`, `ExplicitX509CertificateTrustEngine`

public interface TrustedCredentialTrustEngine<TokenType> extends TrustEngine<TokenType>
Evaluates the trustworthiness and validity of a token against implementation-specific requirements based on trusted credentials obtained via a credential resolver.

## Method Summary

Modifier and Type
Method
Description
`CredentialResolver`
`getCredentialResolver()`
Gets the credential resolver used to recover trusted credentials that may be used to validate tokens.

### Methods inherited from interface org.opensaml.security.trust.TrustEngine

`validate`

## Method Details

### getCredentialResolver

@Nonnull CredentialResolver getCredentialResolver()
Gets the credential resolver used to recover trusted credentials that may be used to validate tokens.

Returns:
  credential resolver used to recover trusted credentials that may be used to validate tokens